Tesseract 3.02

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files

- File List
- File Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Macros Groups Pages
Macros | Functions
structures.h File Reference
`#include "oldlist.h"`
`#include "freelist.h"`
`#include "danerror.h"`

Go to the source code of this file.

## Macros

#define | makestructure(newfunc, old, type)

## Functions

LIST | new_cell ()
void | free_cell (LIST)

## Macro Definition Documentation

#define makestructure | ( |  | newfunc,
|  |  | old,
|  |  | type
| ) |  |

Value:
type *newfunc() \
{ \
return new type; \
} \
\
\
\
void old(type* deadelement) \
{ \
delete deadelement; \
} \

Definition at line 46 of file structures.h.

## Function Documentation

void free_cell | ( | LIST |  | ) |

LIST new_cell | ( |  | ) |